/* bottom space margin and padding*/

.mb-10 {
    margin-bottom: 10px;
}

.mb-20 {
    margin-bottom: 20px;
}

.mb-30 {
    margin-bottom: 30px;
}

.mb-40 {
    margin-bottom: 40px;
}

.mb-50 {
    margin-bottom: 50px;
}

.mb-60 {
    margin-bottom: 60px;
}

.mb-70 {
    margin-bottom: 70px;
}

.mb-80 {
    margin-bottom: 80px;
}

.mb-90 {
    margin-bottom: 90px;
}

.mb-100 {
    margin-bottom: 100px;
}

.mt-0 {
    margin-top: 0;
}

.mb-0 {
    margin-bottom: 0;
}

.pt-0 {
    padding-top: 0;
}

.pb-0 {
    padding-bottom: 0;
}


/* text align style */

.text-center {
    text-align: center;
}

.text-left {
    text-align: left;
}

.text-right {
    text-align: right;
}


/* flex container */

.flex-container {
    -ms-box-orient: horizontal;
    display: -webkit-box;
    display: -moz-box;
    display: -ms-flexbox;
    display: -moz-flex;
    display: -webkit-flex;
    display: flex;
}

.wrap {
    -webkit-flex-wrap: wrap;
    -moz-flex-wrap: wrap;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
}

.justify-content-between {
    -ms-flex-pack: justify !important;
    justify-content: space-between !important;
}

.justify-content-end {
    -ms-flex-pack: end !important;
    justify-content: flex-end !important;
}

.justify-content-around {
    -ms-flex-pack: distribute !important;
    justify-content: space-around !important;
}

.align-items-start {
    -ms-flex-align: start !important;
    align-items: flex-start !important;
}

.align-items-center {
    -ms-flex-align: center !important;
    align-items: center !important;
}

.justify-content-center {
    -ms-flex-pack: center !important;
    justify-content: center !important;
}


/* column style  */

.col-5 {
    width: 20%;
}

.width33,
.form-row .col-3 {
    width: 33.33%;
}

.width25,
.col-4 {
    width: 25%;
}

.col-6 {
    width: 50%;
}

.w-full,
.col-12 {
    width: 100%;
}


/*  heading style */

.heading-44 {
    font-size: clamp(1.375rem, 1.1rem + 1.375vw, 2.75rem);
}

.heading-34 {
    font-size: clamp(1.25rem, 1.075rem + 0.875vw, 2.125rem);
}

.heading-24 {
    font-size: clamp(1.125rem, 1.05rem + 0.375vw, 1.5rem);
}

.heading-20 {
    font-size: clamp(1rem, 0.95rem + 0.25vw, 1.25rem);
}

.sub-title {
    font-size: 16px;
    color: var(--theme);
    text-transform: uppercase;
}


/*-----HELPER-----*/

.bgimg {
    position: absolute;
    right: 0;
    bottom: 0;
    max-height: 100%;
    max-width: inherit;
    left: 0;
    top: 0;
    width: 100%;
    object-fit: cover;
    height: 100%;
    z-index: -1;
    overflow: hidden;
}

.none-case {
    text-transform: none;
}

.capital-heading {
    text-transform: capitalize;
}

.uppercase {
    text-transform: uppercase;
}


/*-----STRUCTURE-----*/

.container::before,
.container::after,
.clearfix::before,
.clearfix::after {
    display: table;
    content: " ";
}

.container::after,
.clearfix::after {
    clear: both;
}

.container-fluid {
    margin-right: auto;
    margin-left: auto;
    position: relative;
}

.container {
    max-width: 1440px;
    margin: 0 auto;
    padding-left: 15px;
    padding-right: 15px;
}


/* link and btn  */

a,
button {
    text-decoration: none;
    color: inherit;
    transition: all 0.5s ease-in-out;
    -webkit-transition: all 0.5s ease-in-out;
    -ms-transition: all 0.5s ease-in-out;
    cursor: pointer;
}

.pb-100 {
    padding-bottom: 100px;
}

@media (min-width: 576px) {
    .container {
        max-width: 540px;
    }
}


/*Medium devices (tablets, 768px and up)*/

@media (min-width: 768px) {
    .container {
        max-width: 720px;
    }
}


/*Large devices (desktops, 992px and up)*/

@media (min-width: 992px) {
    .sticky {
        position: sticky;
        top: 130px;
        align-self: flex-start;
    }
    .container {
        max-width: 960px;
    }
    .flex-row-reverse {
        flex-direction: row-reverse;
    }
}


/* Extra large devices (large desktops, 1200px and up)*/

@media (min-width: 1200px) {
    .container {
        max-width: 1140px;
    }
}

@media (min-width: 1440px) {
    .container {
        max-width: 1380px;
    }
}


/* Super large devices (large desktops, 1440px and up)*/

@media (min-width: 1600px) {
    .container {
        max-width: 1430px;
    }
}


/* link and btn  */

a,
button {
    text-decoration: none;
    color: inherit;
    transition: all 0.5s ease-in-out;
    -webkit-transition: all 0.5s ease-in-out;
    -ms-transition: all 0.5s ease-in-out;
    cursor: pointer;
}


/* RESPONSIVE  MEDIA QUERY */

@media (max-width: 1599.98px) {}

@media (max-width: 1439.98px) {
    .mb-90 {
        margin-bottom: 80px;
    }
    .mb-100 {
        margin-bottom: 80px;
    }
    .pt-pb100 {
        padding: 80px 0;
    }
    .mb-150 {
        margin-bottom: 80px;
    }
}

@media (max-width: 1199.98px) {
    .mb-80 {
        margin-bottom: 60px;
    }
    .pt-pb100 {
        padding: 60px 0;
    }
    .pt-pb80 {
        padding: 60px 0;
    }
    .mb-150 {
        margin-bottom: 60px;
    }
    .mb-100 {
        margin-bottom: 60px;
    }
    .mb-90 {
        margin-bottom: 60px;
    }
    .mb-50 {
        margin-bottom: 40px;
    }
}

@media (max-width: 991.98px) {
    .mb-70 {
        margin-bottom: 60px;
    }
    .mb-80 {
        margin-bottom: 60px;
    }
    .mb-90 {
        margin-bottom: 40px;
    }
    .mb-100 {
        margin-bottom: 40px;
    }
    .pt-pb100 {
        padding: 60px 0;
    }
    .pt-pb80 {
        padding: 60px 0;
    }
    .pt-pb70 {
        padding: 60px 0;
    }
    .mb-50 {
        margin-bottom: 30px;
    }
}

@media (max-width: 767.98px) {
    .pt-pb100 {
        padding: 40px 0;
    }
    .mb-80 {
        margin-bottom: 50px;
    }
}

@media (max-width: 575.98px) {
    .mb-50 {
        margin-bottom: 30px;
    }
    .mb-60 {
        margin-bottom: 40px;
    }
    .mb-70 {
        margin-bottom: 40px;
    }
    .mb-80 {
        margin-bottom: 40px;
    }
    .mb-90 {
        margin-bottom: 30px;
    }
    .mb-100 {
        margin-bottom: 30px;
    }
    .pt-pb100 {
        padding: 30px 0;
    }
    .pt-pb80 {
        padding: 40px 0;
    }
    .pt-pb70 {
        padding: 40px 0;
    }
    .pt-pb60 {
        padding: 40px 0;
    }
    .mb-150 {
        margin-bottom: 40px;
    }
}